0

I am running a 7.41 with views 7.3.1.3 version and editing views causes ajax error?

here is the current error code :

an ajax http error code.
http status :500
[{"command":"settings","settings":{"basePath":"\/","pathPrefix":"","ajaxPageState":{"theme":"seven","theme_token":"L0_2m6Pw1Y-YlW1YH8Xlfc_C0oFxmC1n0tPxBJZyDLA","jquery_version":"1.10"},
"artPortfolio":{"art_portfolio-block_1":{"columns":"3"}},"better_exposed_filters":{"views":{"art_portfolio":{"displays":{"block_1":{"filters":[]}}}}},
"viewsImplicitFormSubmission":{"views-ui-preview-form":{"defaultButton":"preview-submit"}},
"ajax":{"preview-submit":{"wrapper":"views-preview-wrapper",
"event":"click","progress":{"type":"throbber"},
 "method":"replaceWith","url":"\/admin\/structure\/views\/view\/art_portfolio\/preview\/block_1\/ajax","submit":{"_triggering_element_name":"op","_triggering_element_value":"Update preview"}}},
"urlIsAjaxTrusted":{"\/admin\/structure\/views\/view\/art_portfolio\/preview\/block_1\/ajax":true,"\/admin\/structure\/views\/view\/art_portfolio\/preview\/block_1":true}},
"merge":true},

Why is this happening in this version? Do I need to downgrade, or is it due to the jquery_update module? I tested on the following jquery versions :

  • 1.5
  • 1.7.2
  • 1.8
  • 1.9
  • 1.10 but all are not working.

Any help would be appreciated.

3
  • HTTP 500 errors should mean that you have a more useful error message in your web server logs. Can you post the error log message?
    – rooby
    Jan 21, 2016 at 3:03
  • What rooby said. Sometimes these can stem from running out of memory on complex Views. But look at the logs (maybe watchdog is a good place to start)
    – cdmo
    Jan 21, 2016 at 3:58
  • checked on the watchdog nothing appearing when that is being triggered.
    – Boby
    Jan 21, 2016 at 8:38

1 Answer 1

0

Rooby is right, this views happen because of the server not providing enough memory limit to run it and that happens, so I solve it when I asked the server guy to add more memory limit to the site and all good, thank you!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.